Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.timer
Class TimerManager

    java.lang.Object
      org.jbpm.process.instance.timer.TimerManager

    public class TimerManager

extends Object

Nested Class Summary
`static class` | `TimerManager.OverdueTrigger` Overdue aware trigger that introduces fixed delay to allow completion of session initialization
`static class` | `TimerManager.ProcessJob`
`static class` | `TimerManager.ProcessJobContext`
`static class` | `TimerManager.ProcessTimerInputMarshaller`
`static class` | `TimerManager.ProcessTimerOutputMarshaller`

Field Summary
`static org.drools.time.Job` | `processJob`

Constructor Summary
`TimerManager(org.drools.common.InternalKnowledgeRuntime kruntime, org.drools.time.TimerService timerService)`

Method Summary
`void` | `cancelTimer(long timerId)`
`void` | `dispose()`
`Map<Long,TimerInstance>` | `getTimerMap()`
`Collection<TimerInstance>` | `getTimers()`
`org.drools.time.TimerService` | `getTimerService()`
`void` | `internalAddTimer(TimerInstance timer)`
`long` | `internalGetTimerId()`
`void` | `internalSetTimerId(long timerId)`
`void` | `registerTimer(TimerInstance timer, ProcessInstance processInstance)`
`void` | `setTimerService(org.drools.time.TimerService timerService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### processJob

    public static final org.drools.time.Job processJob

Constructor Detail

### TimerManager

    public TimerManager(org.drools.common.InternalKnowledgeRuntime kruntime,
                        org.drools.time.TimerService timerService)

Method Detail

### registerTimer

    public void registerTimer(TimerInstance timer,
                              ProcessInstance processInstance)

### internalAddTimer

    public void internalAddTimer(TimerInstance timer)

### cancelTimer

    public void cancelTimer(long timerId)

### dispose

    public void dispose()

### getTimerService

    public org.drools.time.TimerService getTimerService()

### getTimers

    public Collection<TimerInstance> getTimers()

### getTimerMap

    public Map<Long,TimerInstance> getTimerMap()

### internalGetTimerId

    public long internalGetTimerId()

### internalSetTimerId

    public void internalSetTimerId(long timerId)

### setTimerService

    public void setTimerService(org.drools.time.TimerService timerService)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.